[Cvs-annodex] commit (annodex):
AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.85.patch
cchiu
nobody at lists.annodex.net
Wed Jun 14 07:23:38 UTC 2006
Update of /var/local/lib/svn/annodex (new revision 2334)
Modified files:
AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.85.patch
Log Message:
Removed Carriage returns from patch file.
Modified: AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.85.patch
===================================================================
--- AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.85.patch 2006-06-14 07:13:03 UTC (rev 2333)
+++ AnnodexFirefoxExtension/trunk/Docs/Patches/VLC-0.85.patch 2006-06-14 07:23:38 UTC (rev 2334)
@@ -1,8 +1,8 @@
-Index: Build
-===================================================================
---- Build (revision 0)
-+++ Build (revision 0)
-@@ -0,0 +1,16 @@
+Index: Build
+===================================================================
+--- Build (revision 0)
++++ Build (revision 0)
+@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
@@ -19,11 +19,11 @@
+
+# ( cd mozilla && make )
+
-Index: configure.ac
-===================================================================
---- configure.ac (revision 15815)
-+++ configure.ac (working copy)
-@@ -1,6 +1,6 @@
+Index: configure.ac
+===================================================================
+--- configure.ac (revision 15815)
++++ configure.ac (working copy)
+@@ -1,6 +1,6 @@
dnl Autoconf settings for vlc
-AC_INIT(vlc,0.8.5)
@@ -31,7 +31,7 @@
VERSION_MAJOR="0"
VERSION_MINOR="8"
VERSION_REVISION="5"
-@@ -16,7 +16,7 @@
+@@ -16,7 +16,7 @@
dnl XXX: we don't put any flags here, because automake 1.5 doesn't support
dnl them. And we need the comma otherwize automake will choke on it.
@@ -40,7 +40,7 @@
AM_CONFIG_HEADER(config.h)
dnl Too many people are not aware of maintainer mode:
-@@ -2223,7 +2223,7 @@
+@@ -2223,7 +2223,7 @@
else
AC_CHECK_HEADERS(ogg/ogg.h, [
AC_CHECK_LIB( ogg, oggpack_read, [
@@ -49,7 +49,7 @@
if test "${enable_sout}" != "no"; then
VLC_ADD_PLUGINS([mux_ogg])
fi
-@@ -2669,7 +2669,6 @@
+@@ -2669,7 +2669,6 @@
fi
dnl Use a custom libffmpeg
AC_MSG_RESULT(${real_ffmpeg_tree}/libavcodec/libavcodecaltivec.a)
@@ -57,7 +57,7 @@
VLC_ADD_LDFLAGS([ffmpegaltivec],[-L${real_ffmpeg_tree}/libavcodec -lavcodecaltivec])
VLC_ADD_CPPFLAGS([ffmpeg],[-DNO_ALTIVEC_IN_FFMPEG])
VLC_ADD_CPPFLAGS([ffmpegaltivec],[-I${real_ffmpeg_tree}/libavcodec -I${real_ffmpeg_tree}/libavformat])
-@@ -2721,10 +2720,8 @@
+@@ -2721,10 +2720,8 @@
AC_CHECK_HEADERS(faad.h, ,
[ AC_MSG_ERROR([Cannot find development headers for libfaad...]) ])
AC_CHECK_LIB(faad, faacDecOpen, [
@@ -68,7 +68,7 @@
VLC_ADD_LDFLAGS([faad],[-lfaad]) ],
[ AC_MSG_ERROR([Cannot find libfaad library...]) ]))
LDFLAGS="${LDFLAGS_save}"
-@@ -2786,7 +2783,7 @@
+@@ -2786,7 +2783,7 @@
(test "${SYS}" = "darwin" || test "${enable_quicktime}" = "yes")
then
if test "${SYS}" = "mingw32"; then
@@ -77,7 +77,7 @@
else
AC_CHECK_HEADERS(QuickTime/QuickTime.h,
[ VLC_ADD_BUILTINS([quicktime])
-@@ -2862,7 +2859,6 @@
+@@ -2862,7 +2859,6 @@
VLC_ADD_LDFLAGS([a52tofloat32],[-L${real_a52_tree}/liba52/.libs])
LDFLAGS="${LDFLAGS_save} ${LDFLAGS_a52tofloat32}"
AC_CHECK_LIB(a52, a52_free, [
@@ -85,7 +85,7 @@
VLC_ADD_CPPFLAGS([a52tofloat32],[-DUSE_A52DEC_TREE])
VLC_ADD_LDFLAGS([a52tofloat32],[-la52])
],[
-@@ -2938,7 +2934,6 @@
+@@ -2938,7 +2934,6 @@
VLC_ADD_LDFLAGS([dtstofloat32],[-ldts_pic])
],[
AC_CHECK_LIB(dts, dts_free, [
@@ -93,7 +93,7 @@
VLC_ADD_LDFLAGS([dtstofloat32],[-ldts])
],[
if test -f ${real_dts_tree}/libdts/libdts.a
-@@ -2962,7 +2957,6 @@
+@@ -2962,7 +2957,6 @@
VLC_ADD_LDFLAGS([dtstofloat32],[-ldts_pic])
],[
AC_CHECK_LIB(dts, dts_free, [
@@ -101,7 +101,7 @@
VLC_ADD_LDFLAGS([dtstofloat32],[-ldts])
],[
if test "${enable_dts}" = "yes"; then
-@@ -3036,7 +3030,6 @@
+@@ -3036,7 +3030,6 @@
then
dnl Use a custom libmpeg2
AC_MSG_RESULT(${real_libmpeg2_tree}/libmpeg2/.libs/libmpeg2.a)
@@ -109,7 +109,7 @@
VLC_ADD_LDFLAGS([libmpeg2],[-L${real_libmpeg2_tree}/libmpeg2/.libs -lmpeg2])
VLC_ADD_CFLAGS([libmpeg2],[-I${real_libmpeg2_tree}/include])
eval "`cd ${real_libmpeg2_tree}/include && ln -sf . mpeg2dec 2>/dev/null`"
-@@ -3056,8 +3049,7 @@
+@@ -3056,8 +3049,7 @@
#endif
#endif],
[AC_MSG_RESULT([yes])
@@ -119,7 +119,7 @@
[AC_MSG_RESULT([no])
AC_MSG_ERROR([Your libmpeg2 is too old (you need the cvs version): you may get a more recent one from http://libmpeg2.sf.net/. Alternatively you can use --disable-libmpeg2 to disable the libmpeg2 plugin.])])],
-@@ -3099,7 +3091,7 @@
+@@ -3099,7 +3091,7 @@
fi
else
AC_CHECK_HEADERS(vorbis/codec.h, [
@@ -128,7 +128,7 @@
VLC_ADD_LDFLAGS([vorbis],[-lvorbis -logg]) ],[])
AC_CHECK_HEADERS(vorbis/vorbisenc.h, [
-@@ -3155,7 +3147,7 @@
+@@ -3155,7 +3147,7 @@
AC_CHECK_HEADERS(speex/speex.h, [
LDFLAGS="${LDFLAGS_save} ${LDFLAGS_speex}"
AC_CHECK_LIB(speex, speex_decode_int, [
@@ -137,7 +137,7 @@
VLC_ADD_LDFLAGS([speex],[-lspeex]) ],
[ AC_MSG_RESULT([no])
AC_MSG_WARN([Your libspeex is too old, please get the development
-@@ -3180,7 +3172,6 @@
+@@ -3180,7 +3172,6 @@
real_tarkin_tree="`cd ${with_tarkin_tree} 2>/dev/null && pwd`"
if test -f "${real_tarkin_tree}/tarkin.o"
then
@@ -145,7 +145,7 @@
VLC_ADD_CPPFLAGS([tarkin],[-I${real_tarkin_tree}])
VLC_ADD_LDFLAGS([tarkin],[${real_tarkin_tree}/mem.o ${real_tarkin_tree}/pnm.o ${real_tarkin_tree}/wavelet.o ${real_tarkin_tree}/wavelet_xform.o ${real_tarkin_tree}/wavelet_coeff.o ${real_tarkin_tree}/yuv.o ${real_tarkin_tree}/tarkin.o ${real_tarkin_tree}/info.o -logg])
AC_MSG_RESULT(yes)
-@@ -3202,8 +3193,8 @@
+@@ -3202,8 +3193,8 @@
then
AC_CHECK_HEADERS(theora/theora.h, [
AC_CHECK_LIB(theora, theora_granule_time, [
@@ -156,7 +156,7 @@
else
VLC_ADD_BUILTINS([theora])
fi
-@@ -3224,7 +3215,7 @@
+@@ -3224,7 +3215,7 @@
PKG_CHECK_MODULES(DIRAC,dirac, [
VLC_ADD_PLUGINS([dirac])
VLC_ADD_CFLAGS([dirac],[$DIRAC_CFLAGS])
@@ -165,7 +165,7 @@
AC_MSG_ERROR([libdirac doesn't appear to be installed on you system.])
])
fi
-@@ -3239,7 +3230,6 @@
+@@ -3239,7 +3230,6 @@
LDFLAGS="${LDFLAGS_save} -lz"
AC_CHECK_LIB(png, png_set_rows, [
VLC_ADD_LDFLAGS([png],[-lpng -lz])
@@ -173,7 +173,7 @@
VLC_ADD_PLUGINS([osdmenu])
AC_DEFINE(HAVE_LIBPNG, [], [Define if you have the PNG library: libpng])],
[],[-lz])
-@@ -3273,7 +3263,6 @@
+@@ -3273,7 +3263,6 @@
VLC_ADD_LDFLAGS([x264],[-L${real_x264_tree}])
LDFLAGS="${LDFLAGS_save} ${LDFLAGS_x264} ${THREAD_LIB}"
AC_CHECK_LIB(x264, x264_encoder_open, [
@@ -181,7 +181,7 @@
VLC_ADD_LDFLAGS([x264],[-lx264])
],[
AC_MSG_ERROR([the specified tree hasn't been compiled])
-@@ -3306,7 +3295,7 @@
+@@ -3306,7 +3295,7 @@
[ --enable-cmml CMML support (default enabled)])
if test "${enable_cmml}" != "no"
then
@@ -190,7 +190,7 @@
fi
-@@ -3377,7 +3366,6 @@
+@@ -3377,7 +3366,6 @@
VLC_ADD_CPPFLAGS([xvideo],[${X_CFLAGS}])
VLC_ADD_LDFLAGS([xvideo],[${X_LIBS} ${X_PRE_LIBS} -lX11 -lXext -lXv_pic])
],[
@@ -198,7 +198,7 @@
VLC_ADD_LDFLAGS([xvideo],[${X_LIBS} ${X_PRE_LIBS} -lX11 -lXext -lXv])
VLC_ADD_CPPFLAGS([xvideo],[${X_CFLAGS}])
])
-@@ -3605,7 +3593,6 @@
+@@ -3605,7 +3593,6 @@
if test "${FREETYPE_CONFIG}" != "no"
then
@@ -206,7 +206,7 @@
VLC_ADD_CFLAGS([freetype],[`${FREETYPE_CONFIG} --cflags`])
VLC_ADD_LDFLAGS([freetype],[`${FREETYPE_CONFIG} --libs`])
AC_CHECK_HEADERS(Carbon/Carbon.h,
-@@ -3795,18 +3782,17 @@
+@@ -3795,18 +3782,17 @@
if test -z "${with_directx}"
then
AC_CHECK_HEADERS(ddraw.h,
@@ -227,7 +227,7 @@
VLC_ADD_CPPFLAGS([vout_directx aout_directx],[-I${with_directx}])
VLC_ADD_LDFLAGS([vout_directx],[-lgdi32])
AC_MSG_RESULT(yes)
-@@ -3976,7 +3962,7 @@
+@@ -3976,7 +3962,7 @@
[ --enable-wingdi Win32 GDI module (default enabled on Win32)])
if test "${enable_wingdi}" != "no"; then
if test "${SYS}" = "mingw32" -o "${SYS}" = "cygwin"; then
@@ -236,7 +236,7 @@
VLC_ADD_LDFLAGS([wingdi],[-lgdi32])
fi
if test "${SYS}" = "mingwce"; then
-@@ -4703,7 +4689,7 @@
+@@ -4703,7 +4689,7 @@
[ --enable-visual visualisation plugin (default enabled)])
if test "${enable_visual}" != "no"
then
@@ -245,7 +245,7 @@
fi
dnl
-@@ -4746,7 +4732,6 @@
+@@ -4746,7 +4732,6 @@
fi
if test -f "${real_goom_tree}/src/.libs/libgoom2.a"; then
AC_MSG_RESULT(${real_goom_tree}/src/.libs/libgoom2.a)
@@ -253,7 +253,7 @@
VLC_ADD_LDFLAGS([goom],[-L${real_goom_tree}/src/.libs -lgoom2])
VLC_ADD_CPPFLAGS([goom],[-I${real_goom_tree}/src -DUSE_GOOM_TREE])
else
-@@ -4755,7 +4740,6 @@
+@@ -4755,7 +4740,6 @@
AC_MSG_CHECKING(for libgoom.a in ${with_goom_tree})
if test -f "${real_goom_tree}/libgoom.a"; then
AC_MSG_RESULT(${real_goom_tree}/libgoom.a)
@@ -261,96 +261,96 @@
VLC_ADD_LDFLAGS([goom],[-L${real_goom_tree} -lgoom])
VLC_ADD_CPPFLAGS([goom],[-I${real_goom_tree} -DUSE_GOOM_TREE -DOLD_GOOM])
else
-Index: Configure.cygwin
-===================================================================
---- Configure.cygwin (revision 0)
-+++ Configure.cygwin (revision 0)
-@@ -0,0 +1,80 @@
-+#!/bin/sh -x
-+
-+set -e
-+
-+CC="ccache gcc -mno-cygwin"
-+CXX="ccache g++ -mno-cygwin"
-+CFLAGS="-g"
-+CXXFLAGS="-g"
-+CPPFLAGS="-I/usr/win32/include -I/usr/win32/include/ebml -I/usr/win32/gecko-sdk/include"
-+LDFLAGS="-L/usr/win32/lib -L/usr/win32/gecko-sdk/lib"
+Index: Configure.cygwin
+===================================================================
+--- Configure.cygwin (revision 0)
++++ Configure.cygwin (revision 0)
+@@ -0,0 +1,80 @@
++#!/bin/sh -x
+
-+XPIDL=/usr/win32/gecko-sdk/bin/xpidl.exe
-+XPIDL_INCL="-Ic:\Cygwin/usr/win32/gecko-sdk/idl"
-+
-+export CC CXX CPPFLAGS LDFLAGS CFLAGS CXXFLAGS
-+
-+[ -x ./configure ] || (./bootstrap )
-+
++set -e
++
++CC="ccache gcc -mno-cygwin"
++CXX="ccache g++ -mno-cygwin"
++CFLAGS="-g"
++CXXFLAGS="-g"
++CPPFLAGS="-I/usr/win32/include -I/usr/win32/include/ebml -I/usr/win32/gecko-sdk/include"
++LDFLAGS="-L/usr/win32/lib -L/usr/win32/gecko-sdk/lib"
++
++XPIDL=/usr/win32/gecko-sdk/bin/xpidl.exe
++XPIDL_INCL="-Ic:\Cygwin/usr/win32/gecko-sdk/idl"
++
++export CC CXX CPPFLAGS LDFLAGS CFLAGS CXXFLAGS
++
++[ -x ./configure ] || (./bootstrap )
++
+exec ./configure \
-+ --disable-a52 \
-+ --disable-caca \
-+ --disable-cdda \
-+ --disable-cddax \
-+ --disable-debug \
-+ --disable-dshow \
-+ --disable-dts \
-+ --disable-dvb \
-+ --disable-dvbpsi \
-+ --disable-dvdnav \
-+ --disable-dvdread \
-+ --disable-faad \
-+ --disable-ffmpeg \
-+ --disable-flac \
-+ --disable-freetype \
-+ --disable-fribidi \
-+ --disable-glx \
-+ --disable-gtk \
-+ --disable-hd1000v \
-+ --disable-httpd \
-+ --disable-libcddb \
-+ --disable-libcdio \
-+ --disable-libmpeg2 \
-+ --disable-libxml2 \
-+ --disable-livedotcom \
-+ --disable-mad \
-+ --disable-mkv \
-+ --disable-mod \
-+ --disable-nls \
-+ --disable-opengl \
-+ --disable-qte \
-+ --disable-satellite \
-+ --disable-sdl \
-+ --disable-skins2 \
-+ --disable-sout \
-+ --disable-speex \
-+ --disable-svg \
-+ --disable-tarkin \
-+ --disable-toolame \
-+ --disable-tremor \
-+ --disable-v4l \
-+ --disable-vcd \
-+ --disable-vcdx \
-+ --disable-vlm \
-+ --disable-waveout \
-+ --disable-wingdi \
-+ --disable-wxwindows \
-+ --disable-x11 \
-+ --disable-x264 \
-+ --disable-xvideo \
-+ --enable-cmml \
-+ --enable-directx \
-+ --enable-mostly-builtin \
-+ --enable-mozilla --with-mozilla-sdk-path=/usr/win32/gecko-sdk \
-+ --enable-ogg \
-+ --enable-release \
-+ --enable-optimization \
-+ --enable-theora \
-+ --enable-vorbis \
-+ "$@" \
-+ 2>&1 | tee configure.output
-Index: Configure.darwin
-===================================================================
---- Configure.darwin (revision 0)
-+++ Configure.darwin (revision 0)
-@@ -0,0 +1,17 @@
++ --disable-a52 \
++ --disable-caca \
++ --disable-cdda \
++ --disable-cddax \
++ --disable-debug \
++ --disable-dshow \
++ --disable-dts \
++ --disable-dvb \
++ --disable-dvbpsi \
++ --disable-dvdnav \
++ --disable-dvdread \
++ --disable-faad \
++ --disable-ffmpeg \
++ --disable-flac \
++ --disable-freetype \
++ --disable-fribidi \
++ --disable-glx \
++ --disable-gtk \
++ --disable-hd1000v \
++ --disable-httpd \
++ --disable-libcddb \
++ --disable-libcdio \
++ --disable-libmpeg2 \
++ --disable-libxml2 \
++ --disable-livedotcom \
++ --disable-mad \
++ --disable-mkv \
++ --disable-mod \
++ --disable-nls \
++ --disable-opengl \
++ --disable-qte \
++ --disable-satellite \
++ --disable-sdl \
++ --disable-skins2 \
++ --disable-sout \
++ --disable-speex \
++ --disable-svg \
++ --disable-tarkin \
++ --disable-toolame \
++ --disable-tremor \
++ --disable-v4l \
++ --disable-vcd \
++ --disable-vcdx \
++ --disable-vlm \
++ --disable-waveout \
++ --disable-wingdi \
++ --disable-wxwindows \
++ --disable-x11 \
++ --disable-x264 \
++ --disable-xvideo \
++ --enable-cmml \
++ --enable-directx \
++ --enable-mostly-builtin \
++ --enable-mozilla --with-mozilla-sdk-path=/usr/win32/gecko-sdk \
++ --enable-ogg \
++ --enable-release \
++ --enable-optimization \
++ --enable-theora \
++ --enable-vorbis \
++ "$@" \
++ 2>&1 | tee configure.output
+Index: Configure.darwin
+===================================================================
+--- Configure.darwin (revision 0)
++++ Configure.darwin (revision 0)
+@@ -0,0 +1,17 @@
+#!/bin/sh -x
+
+set -e
@@ -368,11 +368,11 @@
+[ -x ./configure ] || ( ./bootstrap )
+
+exec ./configure --disable-a52 --disable-caca --disable-cdda --disable-cddax --disable-cmml --disable-daap --disable-dshow --disable-dts --disable-dvb --disable-dvbpsi --disable-dvdnav --disable-dvdread --disable-faad --disable-ffmpeg --disable-freetype --disable-fribidi --disable-glx --disable-gtk --disable-hd1000v --enable-httpd --disable-libcddb --disable-libcdio --disable-libmpeg2 --disable-debug --disable-libxml2 --disable-livedotcom --disable-mad --disable-mkv --disable-mod --disable-nls --disable-opengl --disable-qte --disable-satellite --disable-sdl --disable-sdl --disable-skins2 --disable-sout --disable-svg --disable-tarkin --disable-toolame --disable-tremor --disable-v4l --disable-vcd --disable-vcdx --disable-vlm --disable-waveout --disable-wingdi --disable-wxwindows --disable-x11 --disable-x264 --disable-xvideo --enable-optimization --enable-flac --enable-mozilla --with-mozilla-sdk-path=/{Path of VLC Source}/extras/contrib/src/gecko-sdk --enable-ogg --enable-speex --enable-theora --enable-vorbis --without-ffmpeg-faac --without-ffmpeg-mp3lame --without-libiconv-prefix
-Index: Configure.linux
-===================================================================
---- Configure.linux (revision 0)
-+++ Configure.linux (revision 0)
-@@ -0,0 +1,96 @@
+Index: Configure.linux
+===================================================================
+--- Configure.linux (revision 0)
++++ Configure.linux (revision 0)
+@@ -0,0 +1,96 @@
+#!/bin/sh -x
+
+set -e
@@ -469,11 +469,11 @@
+ --without-libiconv-prefix \
+ "$@" \
+ 2>&1 | tee configure.output
-Index: extras/contrib/config.mak
-===================================================================
---- extras/contrib/config.mak (revision 0)
-+++ extras/contrib/config.mak (revision 0)
-@@ -0,0 +1,23 @@
+Index: extras/contrib/config.mak
+===================================================================
+--- extras/contrib/config.mak (revision 0)
++++ extras/contrib/config.mak (revision 0)
+@@ -0,0 +1,23 @@
+# Automatically generated by bootstrap.
+# Make changes if you know what you're doing.
+
@@ -497,11 +497,11 @@
+EXTRA_PATH =
+WGET = curl -O
+SVN = /usr/local/bin/svn
-Index: extras/contrib/src/Makefile
-===================================================================
---- extras/contrib/src/Makefile (revision 15815)
-+++ extras/contrib/src/Makefile (working copy)
-@@ -885,39 +885,22 @@
+Index: extras/contrib/src/Makefile
+===================================================================
+--- extras/contrib/src/Makefile (revision 15815)
++++ extras/contrib/src/Makefile (working copy)
+@@ -885,39 +885,22 @@
# ffmpeg
# ***************************************************************************
@@ -545,11 +545,11 @@
DISTCLEAN_PKG += ffmpeg-$(FFMPEG_VERSION).tar.gz
# ***************************************************************************
-Index: modules/access/http.c
-===================================================================
---- modules/access/http.c (revision 15815)
-+++ modules/access/http.c (working copy)
-@@ -928,8 +928,14 @@
+Index: modules/access/http.c
+===================================================================
+--- modules/access/http.c (revision 15815)
++++ modules/access/http.c (working copy)
+@@ -928,8 +928,14 @@
/* Offset */
if( p_sys->i_version == 1 )
{
@@ -566,11 +566,11 @@
}
/* Authentication */
-Index: modules/demux/ogg.c
-===================================================================
---- modules/demux/ogg.c (revision 15815)
-+++ modules/demux/ogg.c (working copy)
-@@ -291,6 +291,7 @@
+Index: modules/demux/ogg.c
+===================================================================
+--- modules/demux/ogg.c (revision 15815)
++++ modules/demux/ogg.c (working copy)
+@@ -291,6 +291,7 @@
}
else if ( p_stream->fmt.i_codec == VLC_FOURCC('c','m','m','l') )
{
@@ -578,7 +578,7 @@
p_stream->secondary_header_packets = 0;
}
}
-@@ -485,15 +486,15 @@
+@@ -485,15 +486,15 @@
}
if( p_oggpacket->bytes >= 7 &&
@@ -598,7 +598,7 @@
return;
}
-@@ -850,23 +851,20 @@
+@@ -850,23 +851,20 @@
}
/* Check for Annodex header */
else if( oggpacket.bytes >= 7 &&
@@ -625,7 +625,7 @@
"Direct Show Samples embedded in Ogg", 35 ))
{
/* Old header type */
-@@ -1325,64 +1323,103 @@
+@@ -1325,64 +1323,103 @@
ogg_packet *p_oggpacket )
{
if( p_oggpacket->bytes >= 28 &&
@@ -752,7 +752,7 @@
}
else if( !strncmp(content_type_string, "audio/x-vorbis", 14) )
{
-@@ -1414,7 +1451,6 @@
+@@ -1414,7 +1451,6 @@
}
else if( !strncmp(content_type_string, "video/mpeg", 14) )
{
@@ -760,11 +760,11 @@
p_stream->fmt.i_cat = VIDEO_ES;
p_stream->fmt.i_codec = VLC_FOURCC( 'm','p','g','v' );
}
-Index: mozilla/Makefile.am
-===================================================================
---- mozilla/Makefile.am (revision 15815)
-+++ mozilla/Makefile.am (working copy)
-@@ -7,13 +7,20 @@
+Index: mozilla/Makefile.am
+===================================================================
+--- mozilla/Makefile.am (revision 15815)
++++ mozilla/Makefile.am (working copy)
+@@ -7,13 +7,20 @@
MOSTLYCLEANFILES = $(npvlc_DATA) $(vlcintf_xpt_DATA)
CLEANFILES = stamp-pic $(BUILT_SOURCES)
EXTRA_DIST = $(DIST_sources) vlcintf.idl npvlc_rc.rc vlc.r
@@ -785,7 +785,7 @@
vlcruntime.cpp \
vlcruntime.h \
support/classinfo.h
-@@ -177,11 +184,11 @@
+@@ -177,11 +184,11 @@
vlcintf_xptdir = $(libdir)/mozilla/components
vlcintf.xpt: vlcintf.idl
$(XPIDL) $(XPIDL_INCL) \
@@ -799,11 +799,11 @@
###############################################################################
# Stamp rules
-Index: mozilla/npvlc_rc.rc
-===================================================================
---- mozilla/npvlc_rc.rc (revision 15815)
-+++ mozilla/npvlc_rc.rc (working copy)
-@@ -31,17 +31,17 @@
+Index: mozilla/npvlc_rc.rc
+===================================================================
+--- mozilla/npvlc_rc.rc (revision 15815)
++++ mozilla/npvlc_rc.rc (working copy)
+@@ -31,17 +31,17 @@
BEGIN
BLOCK "040904e4"
BEGIN
@@ -830,11 +830,11 @@
END
END
BLOCK "VarFileInfo"
-Index: mozilla/vlc.r
-===================================================================
---- mozilla/vlc.r (revision 15815)
-+++ mozilla/vlc.r (working copy)
-@@ -13,9 +13,8 @@
+Index: mozilla/vlc.r
+===================================================================
+--- mozilla/vlc.r (revision 15815)
++++ mozilla/vlc.r (working copy)
+@@ -13,9 +13,8 @@
resource 'STR#' (126)
{
{
@@ -846,7 +846,7 @@
};
};
-@@ -23,28 +22,7 @@
+@@ -23,28 +22,7 @@
resource 'STR#' (127)
{
{
@@ -876,7 +876,7 @@
};
};
-@@ -52,28 +30,7 @@
+@@ -52,28 +30,7 @@
resource 'STR#' (128,"MIME Type")
{
{
@@ -906,11 +906,11 @@
};
};
-Index: mozilla/vlcintf.idl
-===================================================================
---- mozilla/vlcintf.idl (revision 15815)
-+++ mozilla/vlcintf.idl (working copy)
-@@ -37,6 +37,10 @@
+Index: mozilla/vlcintf.idl
+===================================================================
+--- mozilla/vlcintf.idl (revision 15815)
++++ mozilla/vlcintf.idl (working copy)
+@@ -37,6 +37,10 @@
PRInt64 get_position();
PRInt64 get_time();
@@ -921,11 +921,11 @@
void seek( in PRInt64 i_secs, in PRInt64 b_relative);
};
-Index: mozilla/vlcpeer.cpp
-===================================================================
---- mozilla/vlcpeer.cpp (revision 15815)
-+++ mozilla/vlcpeer.cpp (working copy)
-@@ -48,6 +48,7 @@
+Index: mozilla/vlcpeer.cpp
+===================================================================
+--- mozilla/vlcpeer.cpp (revision 15815)
++++ mozilla/vlcpeer.cpp (working copy)
+@@ -48,6 +48,7 @@
#include "vlcpeer.h"
#include "vlcplugin.h"
@@ -933,7 +933,7 @@
NS_IMPL_ISUPPORTS2( VlcPeer, VlcIntf, nsIClassInfo )
-@@ -312,3 +313,21 @@
+@@ -312,3 +313,21 @@
}
return NS_OK;
}
@@ -955,11 +955,11 @@
+ }
+ return NS_OK;
+}
-Index: mozilla/vlcplugin.h
-===================================================================
---- mozilla/vlcplugin.h (revision 15815)
-+++ mozilla/vlcplugin.h (working copy)
-@@ -98,44 +98,14 @@
+Index: mozilla/vlcplugin.h
+===================================================================
+--- mozilla/vlcplugin.h (revision 15815)
++++ mozilla/vlcplugin.h (working copy)
+@@ -98,44 +98,14 @@
/*******************************************************************************
* Plugin properties.
******************************************************************************/
@@ -1007,11 +1007,11 @@
+ "application/x-annodex-vlc-viewer-plugin::Annodex Media View"
#endif
-Index: mozilla/vlcshell.cpp
-===================================================================
---- mozilla/vlcshell.cpp (revision 15815)
-+++ mozilla/vlcshell.cpp (working copy)
-@@ -326,33 +326,17 @@
+Index: mozilla/vlcshell.cpp
+===================================================================
+--- mozilla/vlcshell.cpp (revision 15815)
++++ mozilla/vlcshell.cpp (working copy)
+@@ -326,33 +326,17 @@
};
#elif defined(XP_WIN)
@@ -1050,7 +1050,7 @@
};
#endif /* XP_MACOSX */
-@@ -552,7 +536,7 @@
+@@ -552,7 +536,7 @@
#if USE_LIBVLC
#ifdef XP_MACOSX
@@ -1059,7 +1059,7 @@
VLC_VariableSet( p_plugin->i_vlc, "drawable", value );
valueportx.i_int = ((NP_Port*) (window->window))->portx;
-@@ -581,7 +565,10 @@
+@@ -581,7 +565,10 @@
p_plugin->window = window;
valueredraw.i_int = 1;
@@ -1071,7 +1071,7 @@
#else /* XP_MACOSX */
/* FIXME: this cast sucks */
-@@ -916,6 +903,11 @@
+@@ -916,6 +903,11 @@
GC gc;
XGCValues gcv;
@@ -1083,142 +1083,142 @@
gcv.foreground = BlackPixel( p_plugin->p_display, 0 );
gc = XCreateGC( p_plugin->p_display, p_plugin->window, GCForeground, &gcv );
-Index: mozilla/vlcstreaminfo.c
-===================================================================
---- mozilla/vlcstreaminfo.c (revision 0)
-+++ mozilla/vlcstreaminfo.c (revision 0)
-@@ -0,0 +1,86 @@
-+/*****************************************************************************
-+ * vlcstreaminfo.c: C interface to get information from the stream
-+ *****************************************************************************
-+ * Copyright (C) 2005 VideoLAN
-+ * Copyright (C) 2005 Commonwealth Scientific Industrial Research
-+ * Organisation (CSIRO) Australia
-+ * $Id$
-+ *
-+ * Authors: Andre Pang <ozone at algorithm.com.au>
-+ *
-+ * This program is free software; you can redistribute it and/or modify
-+ * it under the terms of the GNU General Public License as published by
-+ * the Free Software Foundation; either version 2 of the License, or
-+ * (at your option) any later version.
-+ *
-+ * This program is distributed in the hope that it will be useful,
-+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
-+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-+ * GNU General Public License for more details.
-+ *
-+ * You should have received a copy of the GNU General Public License
-+ * along with this program; if not, write to the Free Software
-+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.
-+ *****************************************************************************/
-+
-+/*****************************************************************************
-+ * Preamble
-+ *****************************************************************************/
-+#include <vlc/vlc.h>
-+#include <vlc_common.h>
-+#include <vlc/vout.h>
-+#include <vlc/intf.h>
-+
-+#include "vlcstreaminfo.h"
-+
-+int vlc_get_video_width( int i_vlc )
-+{
-+ vlc_t * p_vlc;
-+ int i_width;
-+
-+ i_width = -1;
-+
-+ p_vlc = vlc_current_object( i_vlc );
-+ if( p_vlc )
-+ {
-+ vout_thread_t * p_vout;
-+
-+ p_vout = vlc_object_find( p_vlc, VLC_OBJECT_VOUT, FIND_ANYWHERE );
-+ if( p_vout )
-+ {
-+ i_width = p_vout->render.i_width;
-+ }
-+
-+ vlc_object_release( p_vout );
-+ }
-+
-+ vlc_object_release( p_vlc );
-+
-+ return i_width;
-+}
-+
-+int vlc_get_video_height( int i_vlc )
-+{
-+ vlc_t * p_vlc;
-+ int i_height;
-+
-+ i_height = -1;
-+
-+ p_vlc = vlc_current_object( i_vlc );
-+ if( p_vlc )
-+ {
-+ vout_thread_t * p_vout;
-+
-+ p_vout = vlc_object_find( p_vlc, VLC_OBJECT_VOUT, FIND_ANYWHERE );
-+ if( p_vout )
-+ {
-+ i_height = p_vout->render.i_height;
-+ }
-+
-+ vlc_object_release( p_vout );
-+ }
-+
-+ vlc_object_release( p_vlc );
-+
-+ return i_height;
-+}
-Index: mozilla/vlcstreaminfo.h
-===================================================================
---- mozilla/vlcstreaminfo.h (revision 0)
-+++ mozilla/vlcstreaminfo.h (revision 0)
-@@ -0,0 +1,35 @@
-+/*****************************************************************************
-+ * vlcstreaminfo.h: C interface to get information from the stream
-+ *****************************************************************************
-+ * Copyright (C) 2005 VideoLAN
-+ * Copyright (C) 2005 Commonwealth Scientific Industrial Research
-+ * Organisation (CSIRO) Australia
-+ * $Id$
-+ *
-+ * Authors: Andre Pang <ozone at algorithm.com.au>
-+ *
-+ * This program is free software; you can redistribute it and/or modify
-+ * it under the terms of the GNU General Public License as published by
-+ * the Free Software Foundation; either version 2 of the License, or
-+ * (at your option) any later version.
-+ *
-+ * This program is distributed in the hope that it will be useful,
-+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
-+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-+ * GNU General Public License for more details.
-+ *
-+ * You should have received a copy of the GNU General Public License
-+ * along with this program; if not, write to the Free Software
-+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.
-+ *****************************************************************************/
-+
-+#ifdef __cplusplus
-+extern "C" {
-+#endif
-+
-+int vlc_get_video_width( int );
-+int vlc_get_video_height( int );
-+
-+#ifdef __cplusplus
-+}
-+#endif
-Index: src/misc/charset.c
-===================================================================
---- src/misc/charset.c (revision 15815)
-+++ src/misc/charset.c (working copy)
-@@ -255,8 +255,10 @@
+Index: mozilla/vlcstreaminfo.c
+===================================================================
+--- mozilla/vlcstreaminfo.c (revision 0)
++++ mozilla/vlcstreaminfo.c (revision 0)
+@@ -0,0 +1,86 @@
++/*****************************************************************************
++ * vlcstreaminfo.c: C interface to get information from the stream
++ *****************************************************************************
++ * Copyright (C) 2005 VideoLAN
++ * Copyright (C) 2005 Commonwealth Scientific Industrial Research
++ * Organisation (CSIRO) Australia
++ * $Id$
++ *
++ * Authors: Andre Pang <ozone at algorithm.com.au>
++ *
++ * This program is free software; you can redistribute it and/or modify
++ * it under the terms of the GNU General Public License as published by
++ * the Free Software Foundation; either version 2 of the License, or
++ * (at your option) any later version.
++ *
++ * This program is distributed in the hope that it will be useful,
++ * but WITHOUT ANY WARRANTY; without even the implied warranty of
++ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
++ * GNU General Public License for more details.
++ *
++ * You should have received a copy of the GNU General Public License
++ * along with this program; if not, write to the Free Software
++ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.
++ *****************************************************************************/
++
++/*****************************************************************************
++ * Preamble
++ *****************************************************************************/
++#include <vlc/vlc.h>
++#include <vlc_common.h>
++#include <vlc/vout.h>
++#include <vlc/intf.h>
++
++#include "vlcstreaminfo.h"
++
++int vlc_get_video_width( int i_vlc )
++{
++ vlc_t * p_vlc;
++ int i_width;
++
++ i_width = -1;
++
++ p_vlc = vlc_current_object( i_vlc );
++ if( p_vlc )
++ {
++ vout_thread_t * p_vout;
++
++ p_vout = vlc_object_find( p_vlc, VLC_OBJECT_VOUT, FIND_ANYWHERE );
++ if( p_vout )
++ {
++ i_width = p_vout->render.i_width;
++ }
++
++ vlc_object_release( p_vout );
++ }
++
++ vlc_object_release( p_vlc );
++
++ return i_width;
++}
++
++int vlc_get_video_height( int i_vlc )
++{
++ vlc_t * p_vlc;
++ int i_height;
++
++ i_height = -1;
++
++ p_vlc = vlc_current_object( i_vlc );
++ if( p_vlc )
++ {
++ vout_thread_t * p_vout;
++
++ p_vout = vlc_object_find( p_vlc, VLC_OBJECT_VOUT, FIND_ANYWHERE );
++ if( p_vout )
++ {
++ i_height = p_vout->render.i_height;
++ }
++
++ vlc_object_release( p_vout );
++ }
++
++ vlc_object_release( p_vlc );
++
++ return i_height;
++}
+Index: mozilla/vlcstreaminfo.h
+===================================================================
+--- mozilla/vlcstreaminfo.h (revision 0)
++++ mozilla/vlcstreaminfo.h (revision 0)
+@@ -0,0 +1,35 @@
++/*****************************************************************************
++ * vlcstreaminfo.h: C interface to get information from the stream
++ *****************************************************************************
++ * Copyright (C) 2005 VideoLAN
++ * Copyright (C) 2005 Commonwealth Scientific Industrial Research
++ * Organisation (CSIRO) Australia
++ * $Id$
++ *
++ * Authors: Andre Pang <ozone at algorithm.com.au>
++ *
++ * This program is free software; you can redistribute it and/or modify
++ * it under the terms of the GNU General Public License as published by
++ * the Free Software Foundation; either version 2 of the License, or
++ * (at your option) any later version.
++ *
++ * This program is distributed in the hope that it will be useful,
++ * but WITHOUT ANY WARRANTY; without even the implied warranty of
++ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
++ * GNU General Public License for more details.
++ *
++ * You should have received a copy of the GNU General Public License
++ * along with this program; if not, write to the Free Software
++ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.
++ *****************************************************************************/
++
++#ifdef __cplusplus
++extern "C" {
++#endif
++
++int vlc_get_video_width( int );
++int vlc_get_video_height( int );
++
++#ifdef __cplusplus
++}
++#endif
+Index: src/misc/charset.c
+===================================================================
+--- src/misc/charset.c (revision 15815)
++++ src/misc/charset.c (working copy)
+@@ -255,8 +255,10 @@
* use setlocale here; it would return "C" when it doesn't support the
* locale name the user has set. Darwin's setlocale is broken. */
# if HAVE_SETLOCALE && !__APPLE__
@@ -1229,7 +1229,7 @@
if( psz_locale == NULL || psz_locale[0] == '\0' )
{
psz_locale = getenv( "LC_ALL" );
-@@ -570,8 +572,10 @@
+@@ -570,8 +572,10 @@
/* Some systems (like Darwin, SunOS 4 or DJGPP) have only the C locale.
* Therefore we don't use setlocale here; it would return "C". */
# if HAVE_SETLOCALE && !__APPLE__
--
cchiu
More information about the cvs-annodex
mailing list